/* ******************** Анимация экрана окончания игры ******************** */
animationEndGame = function (room) {
  var vidTheEnd1 = document.getElementById('vid_win_the_end_1');
  var vidTheEnd2 = document.getElementById('vid_win_the_end_2');

  vidTheEnd1.currentTime = 0;
  vidTheEnd1.playbackRate = 1;
  vidTheEnd1.loop = false;
  vidTheEnd1.pause();

  vidTheEnd2.currentTime = 0;
  vidTheEnd2.playbackRate = 1;
  vidTheEnd2.loop = true;
  vidTheEnd2.pause();

  vidTheEnd1.onended = function () {
    showButtons();
    vidTheEnd1.pause();
    vidTheEnd2.play();

    ObjSet('vid_win_the_end_1', { alp: 0 });
    ObjSet('vid_win_the_end_2', { alp: 1 });
  };

  vidTheEnd1.play();
  ObjSet('vid_win_the_end_1', { alp: 1 });

  function showButtons() {
    ObjSet('spr_' + room + '_again', { input: 0, alp: 0 });
    ObjSet('spr_' + room + '_more_girls', { input: 0, alp: 0 });

    ObjAnimate(
      'spr_' + room + '_again',
      'scale_x',
      0,
      0,
      function () {},
      [0, 0, 0.2, 0.6, 0, 1]
    );
    ObjAnimate(
      'spr_' + room + '_again',
      'scale_y',
      0,
      0,
      function () {
        ObjAnimate(
          'spr_' + room + '_more_girls',
          'scale_x',
          0,
          0,
          function () {},
          [0, 0, 0.2, 0.6, 0, 1]
        );
        ObjAnimate(
          'spr_' + room + '_more_girls',
          'scale_y',
          0,
          0,
          function () {
            ObjSet('spr_' + room + '_again', { input: 1, alp: 0.75 });
            ObjSet('spr_' + room + '_more_girls', { input: 1, alp: 0.75 });
          },
          [0, 0, 0.2, 0.6, 0, 1]
        );
        ObjAnimate(
          'spr_' + room + '_more_girls',
          'alp',
          0,
          0,
          function () {},
          [0, 0, 0, 0.2, 0, 0.75]
        );
      },
      [0, 0, 0.2, 0.6, 0, 1]
    );
    ObjAnimate(
      'spr_' + room + '_again',
      'alp',
      0,
      0,
      function () {},
      [0, 0, 0, 0.2, 0, 0.75]
    );
  }
};
